=== debian/changelog ===
raysession (0.7.2-0ubuntu2) eoan; urgency=medium

  * Fix for debian/copyright error with regards to src/shared/jacklib.py
  * Change architecture to all

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 16 Aug 2019 10:09:49 -0700

raysession (0.7.2-0ubuntu1) eoan; urgency=medium

  * Initial Release for Ubuntu

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 21 Jul 2019 14:38:26 -0700
