=== debian/control ===
Source: raysession
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 python3-pyqt5,
 pyqt5-dev-tools,
 qt4-linguist-tools
Standards-Version: 4.3.0
Vcs-Git: https://github.com/Houston4444/RaySession
Vcs-Browser: https://github.com/Houston4444/RaySession
Homepage: https://github.com/Houston4444/RaySession

Package: raysession
Architecture: all
Depends: python3, python3-liblo, python3-pyqt5, ${misc:Depends}
Recommends: wmctrl
Description: Session Manager for Audio Software
 Ray Session is a GNU/Linux session manager for audio programs as Ardour,
 Carla, QTractor, Non-Timeline, etc...
 .
 It uses the same API as Non Session Manager, so programs compatible with NSM
 are also compatible with Ray Session. As Non Session Manager, the principle
 is to load together audio programs, then be able to save or close all
 documents together.
 .
 Ray Session offers a little more:
 .
  - Factory templates for NSM and LASH compatible applications
  - Possibility to save any client as template
  - Save session as template
  - Name files with a prettier way
  - remember if client was started or not
  - Abort session almost anytime
  - Change Main Folder of sessions on GUI
  - Possibility to KILL client if clean exit is too long
  - Open Session Folder button (open default file manager)
 .
 Ray Session is being developed by houston4444, using Python3 and Qt5.
