## raysession 0.8.3

=== Makefile ===
--- 
+++ 
@@ -44,17 +44,26 @@
 	    src/gui/ui_client_properties.py \
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
+	    src/gui/ui_donations.py \
 	    src/gui/ui_edit_executable.py \
 	    src/gui/ui_daemon_url.py \
 	    src/gui/ui_error_dialog.py \
+	    src/gui/ui_list_snapshots.py \
 	    src/gui/ui_new_executable.py \
 	    src/gui/ui_new_session.py \
 	    src/gui/ui_nsm_open_info.py \
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
 	    src/gui/ui_raysession.py \
+	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
-	    src/gui/ui_stop_client.py
+	    src/gui/ui_snapshot_name.py \
+	    src/gui/ui_snapshots_info.py \
+	    src/gui/ui_snapshot_progress.py \
+	    src/gui/ui_stop_client.py \
+	    src/gui/ui_stop_client_no_save.py \
+	    src/gui/ui_template_slot.py \
+	    src/gui/ui_waiting_close_user.py
 
 src/gui/ui_%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
@@ -69,7 +78,7 @@
 
 LOCALE: locale
 
-locale: locale/raysession_fr_FR.qm locale/raysession_en_EN.qm
+locale: locale/raysession_fr_FR.qm locale/raysession_en_US.qm
 
 locale/%.qm: locale/%.ts
 	$(LRELEASE) $< -qm $@
@@ -78,7 +87,7 @@
 clean:
 	rm -f *~ src/*~ src/*.pyc src/gui/ui_*.py src/clients/proxy/ui_*.py \
 	      src/gui/resources_rc.py locale/*.qm
-	rm -f -R src/__pycache__ src/*/__pycache__
+	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 debug:
@@ -88,7 +97,7 @@
 
 install:
 	#clean unwanted __pycache__ folders
-	rm -f -R src/__pycache__ src/*/__pycache__
+	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 	
 	# Create directories
 	install -d $(DESTDIR)$(PREFIX)/bin/
@@ -140,13 +149,15 @@
 	cp -r src $(DEST_RAY)/
 	
 	# install main bash scripts to bin
-	install -m 755 data/raysession $(DESTDIR)$(PREFIX)/bin/
-	install -m 755 data/ray-daemon $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray_control $(DESTDIR)$(PREFIX)/bin/
 	
 	# modify PREFIX in main bash scripts
 	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
 		$(DESTDIR)$(PREFIX)/bin/raysession \
-		$(DESTDIR)$(PREFIX)/bin/ray-daemon
+		$(DESTDIR)$(PREFIX)/bin/ray-daemon \
+		$(DESTDIR)$(PREFIX)/bin/ray_control
 	
 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_RAY)/locale/
