=== debian/changelog ===
raysession (0.8.3-0ubuntu2) focal; urgency=medium

  * No changes rebuild against qttools5-dev

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 18 Jan 2020 16:26:26 -0800

raysession (0.8.3-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.3

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 25 Nov 2019 07:53:11 -0800

raysession (0.8.2-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.2

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 24 Nov 2019 11:23:29 -0800

raysession (0.8.1-0ubuntu1) focal; urgency=medium

  * New Upstream Release 0.8.1

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 25 Oct 2019 14:52:48 -0700
