=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  pkg-config,
  python3-pyqt5,
  pyqt5-dev-tools,
- qt4-linguist-tools
+ qttools5-dev,
+ qtchooser
 Standards-Version: 4.3.0
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
