## raysession 0.9.2

=== Makefile ===
--- 
+++ 
@@ -45,18 +45,24 @@
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
 	    src/gui/ui_donations.py \
-	    src/gui/ui_edit_executable.py \
 	    src/gui/ui_daemon_url.py \
 	    src/gui/ui_error_dialog.py \
+	    src/gui/ui_jack_config_info.py \
 	    src/gui/ui_list_snapshots.py \
 	    src/gui/ui_new_executable.py \
 	    src/gui/ui_new_session.py \
+	    src/gui/ui_nsm_properties.py \
+	    src/gui/ui_ray_hack_copy.py \
 	    src/gui/ui_nsm_open_info.py \
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
+	    src/gui/ui_ray_hack_properties.py \
 	    src/gui/ui_raysession.py \
 	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
+	    src/gui/ui_session_scripts_info.py \
+	    src/gui/ui_script_info.py \
+	    src/gui/ui_script_user_action.py \
 	    src/gui/ui_snapshot_name.py \
 	    src/gui/ui_snapshots_info.py \
 	    src/gui/ui_snapshot_progress.py \
@@ -113,13 +119,22 @@
 	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/
 	install -d $(DEST_RAY)/
 	install -d $(DEST_RAY)/locale/
-	
-	# Copy Client Templates Factory
+	install -d $(DESTDIR)/etc/xdg/
+	install -d $(DESTDIR)/etc/xdg/raysession/
+	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
+	
+	
+	# Copy Templates Factory
+	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
+	cp -r client_templates/60_ray_lash $(DESTDIR)/etc/xdg/raysession/client_templates/
 	cp -r client_templates  $(DEST_RAY)/
 	cp -r session_templates $(DEST_RAY)/
+	cp -r session_scripts   $(DEST_RAY)/
+	cp -r data              $(DEST_RAY)/
 	
 	# Copy Desktop Files
-	install -m 644 data/*.desktop $(DESTDIR)$(PREFIX)/share/applications/
+	install -m 644 data/share/applications/*.desktop \
+		$(DESTDIR)$(PREFIX)/share/applications/
 
 	# Install icons
 	install -m 644 resources/16x16/raysession.png   \
@@ -148,16 +163,23 @@
 	# Install main code
 	cp -r src $(DEST_RAY)/
 	
+	$(LINK) $(DEST_RAY)/src/bin/ray-jack_checker_daemon $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray-jack_config_script  $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
+	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray_control $(DESTDIR)$(PREFIX)/bin/
+	install -m 755 data/ray-proxy   $(DESTDIR)$(PREFIX)/bin/
 	
 	# modify PREFIX in main bash scripts
 	sed -i "s?X-PREFIX-X?$(PREFIX)?" \
 		$(DESTDIR)$(PREFIX)/bin/raysession \
 		$(DESTDIR)$(PREFIX)/bin/ray-daemon \
-		$(DESTDIR)$(PREFIX)/bin/ray_control
+		$(DESTDIR)$(PREFIX)/bin/ray_control \
+		$(DESTDIR)$(PREFIX)/bin/ray-proxy
 	
 	# Install Translations
 	install -m 644 locale/*.qm $(DEST_RAY)/locale/
@@ -166,7 +188,16 @@
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/raysession
 	rm -f $(DESTDIR)$(PREFIX)/bin/ray-daemon
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-proxy
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_checker_daemon
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-jack_config_script
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray-pulse2jack
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray_control
+	rm -f $(DESTDIR)$(PREFIX)/bin/ray_git
+	
 	rm -f $(DESTDIR)$(PREFIX)/share/applications/raysession.desktop
 	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/*/apps/raysession.png
 	rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/apps/raysession.svg
+	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/40_ray_nsm
+	rm -rf $(DESTDIR)/etc/xdg/raysession/client_templates/60_ray_lash
 	rm -rf $(DEST_RAY)
