=== debian/changelog ===
raysession (0.9.2-0ubuntu1) groovy; urgency=medium

  * New upstream version 0.9.2
    - This release fixes a strong bug which was affecting some users.
    - The list of application templates was empty if there were no existing
      user client template.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Sep 2020 08:51:12 -0700

raysession (0.9.1-0ubuntu1) groovy; urgency=medium

  * New upstream version 0.9.1
    - CLI: Control allmost all GUI actions and more with the CLI ray_control.
    - Session scripts: allow user to edit shell scripts at session load, save
      and close.
    - JACK config session script: script that saves and recalls the JACK
      configuration for the session.
      - Add this from session templates in "New Session" window.
    - RayHack: New client protocol which is an alternative to ray-proxy.
      - This allows to launch directly the process and to edit its properties
        even if process is stopped.
    - Factory client templates are installed in /etc/xdg/raysession to allow
      packagers to add some templates.
    - Get client label, icon and description from their .desktop file.
  * Subfolder combobox removed in New Session Dialog
  * Daemon option "Save from client" has been removed. Please affect a global
    keyboard shortcut (Meta+Ctrl+S) to ray_control save instead.
  * Bump standards to 4.5.0, compat to 13

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Tue, 21 Jul 2020 15:24:32 -0700
