=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  pkg-config,
  python3-pyqt5,
  pyqt5-dev-tools,
  qttools5-dev,
  qtchooser
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
 Homepage: https://github.com/Houston4444/RaySession
