## raysession 0.10.1

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	    src/gui/ui_about_raysession.py \
 	    src/gui/ui_add_application.py \
 	    src/gui/ui_client_properties.py \
+	    src/gui/ui_client_rename.py \
 	    src/gui/ui_client_slot.py \
 	    src/gui/ui_client_trash.py \
 	    src/gui/ui_donations.py \
@@ -57,12 +58,14 @@
 	    src/gui/ui_open_session.py \
 	    src/gui/ui_quit_app.py \
 	    src/gui/ui_ray_hack_properties.py \
+	    src/gui/ui_ray_net_properties.py \
 	    src/gui/ui_raysession.py \
 	    src/gui/ui_remove_template.py \
 	    src/gui/ui_save_template_session.py \
 	    src/gui/ui_session_scripts_info.py \
 	    src/gui/ui_script_info.py \
 	    src/gui/ui_script_user_action.py \
+	    src/gui/ui_session_notes.py \
 	    src/gui/ui_snapshot_name.py \
 	    src/gui/ui_snapshots_info.py \
 	    src/gui/ui_snapshot_progress.py \
@@ -84,7 +87,7 @@
 
 LOCALE: locale
 
-locale: locale/raysession_fr_FR.qm locale/raysession_en_US.qm
+locale: locale/raysession_en.qm locale/raysession_fr.qm
 
 locale/%.qm: locale/%.ts
 	$(LRELEASE) $< -qm $@
