=== debian/changelog ===
raysession (0.10.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release 0.10.1
    - Client label is now grayed out when client is added stopped
    - Jack config memory script won't prevent anymore to
      load the session if ALSA device is set to 'none'
    - French translation fixes (thanks to Olivier Humbert)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Mar 2021 21:55:04 -0700

raysession (0.10.0-0ubuntu1) hirsute; urgency=medium

  * New upstream version 0.10.0
  * New features
    - Add option "Remember optional GUI states" which recalls the optional GUIs
      visibility state
    - Add Application dialog largely improved with access to all possible
      informations about the templates
    - Session Notes dialog where you can edit...session notes
    - 'duplicate', 'save session as template' and 'rename session' moved to a
      menu at top left of the session frame
    - provide log files in ~/.config/RaySession/logs/
    - improve open session dialog behavior between filter bar and treelist
    - add "Make Reappear all hidden dialogs" action
    - add RayNet client protocol, which is used only for Network Sessions
    - change icon for optional GUI visible/hidden (shamelessly pricked idea at
      Agordejo)
    - ray_control : add_client_template not started option added
    - clients now remember their template origin
    - "save as template" button becomes "Update the Template" in save as
      template (session/client) dialog if template exists
    - Jack config script now saves all pulse2jack configurations, even the more
      complex ones
  * API Changes 
    - raysession's --session argument has been replaced with --start-session
      because --session was taken by Qt, -s still works fine
  * Bug fixes
    - Now translated in french for french speaking users out of France
    - Add all default Qt translations
    - raysession should connect to a running daemon without GUI, even after a
      GUI crash (GUI crash should not happen of course ;) )
    - ray_control start now starts with the good session root if it is not the
      default one (~/Ray Sessions)
    - remove Hydrogen NSM template because RayHack template is safer for now
    - Sequencer64 template has a -m option to work fine with JACK connections
  * New Templates for xtuner and mamba

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 12 Nov 2020 08:43:29 -0800
