## raysession 0.11.1

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # ---------------------- #
 # Created by houston4444
 #
-PREFIX  = /usr/local
+PREFIX ?= /usr/local
 DESTDIR =
 DEST_RAY := $(DESTDIR)$(PREFIX)/share/raysession
 
-LINK = ln -s
+LINK = ln -s -f
 PYUIC := pyuic5
 PYRCC := pyrcc5
 
@@ -20,6 +20,11 @@
  LRELEASE := lrelease-qt4
 endif
 
+PYTHON := python3
+ifeq (, $(shell which $(PYTHON)))
+ PYTHON := python
+endif
+
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 all: RES UI LOCALE
@@ -35,46 +40,52 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 # UI code
 
-UI: raysession ray_proxy
-
-raysession: src/gui/ui_abort_copy.py \
-	    src/gui/ui_abort_session.py \
-	    src/gui/ui_about_raysession.py \
-	    src/gui/ui_add_application.py \
-	    src/gui/ui_client_properties.py \
-	    src/gui/ui_client_rename.py \
-	    src/gui/ui_client_slot.py \
-	    src/gui/ui_client_trash.py \
-	    src/gui/ui_donations.py \
-	    src/gui/ui_daemon_url.py \
-	    src/gui/ui_error_dialog.py \
-	    src/gui/ui_jack_config_info.py \
-	    src/gui/ui_list_snapshots.py \
-	    src/gui/ui_new_executable.py \
-	    src/gui/ui_new_session.py \
-	    src/gui/ui_nsm_properties.py \
-	    src/gui/ui_ray_hack_copy.py \
-	    src/gui/ui_nsm_open_info.py \
-	    src/gui/ui_open_session.py \
-	    src/gui/ui_quit_app.py \
-	    src/gui/ui_ray_hack_properties.py \
-	    src/gui/ui_ray_net_properties.py \
-	    src/gui/ui_raysession.py \
-	    src/gui/ui_remove_template.py \
-	    src/gui/ui_save_template_session.py \
-	    src/gui/ui_session_scripts_info.py \
-	    src/gui/ui_script_info.py \
-	    src/gui/ui_script_user_action.py \
-	    src/gui/ui_session_notes.py \
-	    src/gui/ui_snapshot_name.py \
-	    src/gui/ui_snapshots_info.py \
-	    src/gui/ui_snapshot_progress.py \
-	    src/gui/ui_stop_client.py \
-	    src/gui/ui_stop_client_no_save.py \
-	    src/gui/ui_template_slot.py \
-	    src/gui/ui_waiting_close_user.py
-
-src/gui/ui_%.py: resources/ui/%.ui
+UI: mkdir_ui raysession ray_proxy
+
+mkdir_ui:
+	@if ! [ -e src/gui/ui ];then mkdir -p src/gui/ui; fi
+
+raysession: src/gui/ui/abort_copy.py \
+	    src/gui/ui/abort_session.py \
+	    src/gui/ui/about_raysession.py \
+	    src/gui/ui/add_application.py \
+	    src/gui/ui/canvas_options.py \
+	    src/gui/ui/canvas_port_info.py \
+	    src/gui/ui/client_properties.py \
+	    src/gui/ui/client_rename.py \
+	    src/gui/ui/client_slot.py \
+	    src/gui/ui/client_trash.py \
+	    src/gui/ui/donations.py \
+	    src/gui/ui/daemon_url.py \
+	    src/gui/ui/error_dialog.py \
+	    src/gui/ui/jack_config_info.py \
+	    src/gui/ui/list_snapshots.py \
+	    src/gui/ui/new_executable.py \
+	    src/gui/ui/new_session.py \
+	    src/gui/ui/nsm_properties.py \
+	    src/gui/ui/ray_hack_copy.py \
+	    src/gui/ui/nsm_open_info.py \
+	    src/gui/ui/open_session.py \
+	    src/gui/ui/patchbay_tools.py \
+	    src/gui/ui/quit_app.py \
+	    src/gui/ui/ray_hack_properties.py \
+	    src/gui/ui/ray_net_properties.py \
+	    src/gui/ui/raysession.py \
+	    src/gui/ui/remove_template.py \
+	    src/gui/ui/save_template_session.py \
+	    src/gui/ui/session_scripts_info.py \
+	    src/gui/ui/script_info.py \
+	    src/gui/ui/script_user_action.py \
+	    src/gui/ui/session_notes.py \
+	    src/gui/ui/snapshot_name.py \
+	    src/gui/ui/snapshots_info.py \
+	    src/gui/ui/snapshot_progress.py \
+	    src/gui/ui/stop_client.py \
+	    src/gui/ui/stop_client_no_save.py \
+	    src/gui/ui/template_slot.py \
+	    src/gui/ui/waiting_close_user.py
+
+src/gui/ui/%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
 	
 ray_proxy: src/clients/proxy/ui_proxy_copy.py \
@@ -82,6 +93,10 @@
 	
 src/clients/proxy/ui_%.py: resources/ui/%.ui
 	$(PYUIC) $< -o $@
+	
+PY_CACHE:
+	$(PYTHON) -m compileall src/
+	
 # -----------------------------------------------------------------------------------------------------------------------------------------
 # # Translations Files
 
@@ -94,8 +109,9 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 clean:
-	rm -f *~ src/*~ src/*.pyc src/gui/ui_*.py src/clients/proxy/ui_*.py \
+	rm -f *~ src/*~ src/*.pyc  src/clients/proxy/ui_*.py \
 	      src/gui/resources_rc.py locale/*.qm
+	rm -f -R src/gui/ui
 	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
@@ -105,9 +121,6 @@
 # -----------------------------------------------------------------------------------------------------------------------------------------
 
 install:
-	#clean unwanted __pycache__ folders
-	rm -f -R src/__pycache__ src/*/__pycache__ src/*/*/__pycache__
-	
 	# Create directories
 	install -d $(DESTDIR)$(PREFIX)/bin/
 	install -d $(DESTDIR)$(PREFIX)/share/applications/
@@ -125,7 +138,6 @@
 	install -d $(DESTDIR)/etc/xdg/
 	install -d $(DESTDIR)/etc/xdg/raysession/
 	install -d $(DESTDIR)/etc/xdg/raysession/client_templates/
-	
 	
 	# Copy Templates Factory
 	cp -r client_templates/40_ray_nsm  $(DESTDIR)/etc/xdg/raysession/client_templates/
@@ -171,6 +183,12 @@
 	$(LINK) $(DEST_RAY)/src/bin/ray-pulse2jack          $(DESTDIR)$(PREFIX)/bin/
 	$(LINK) $(DEST_RAY)/src/bin/ray_git                 $(DESTDIR)$(PREFIX)/bin/
 	
+	# compile python files
+	$(PYTHON) -m compileall $(DEST_RAY)/src/
+	
+	# install local manual
+	cp -r manual $(DEST_RAY)/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
