=== debian/changelog ===
raysession (0.11.1-0ubuntu1) impish; urgency=medium

  * New upstream bugfix release 0.11.1
    - fix GUI crash when showing snapshots without config for info dialog
    - fix patchbay context menu displayed at wrong place under Wayland
    - grey background for all QGroupBox
    - patchbay: ardour "physical_audio_input_monitor_enable" becomes
      "physical monitor" with graceful names enable, same for midi
    - Manual : style review and patchbay section added
    - Patchbay boxes allow 3 or 4 lines title, because PipeWire uses sometimes
      very long group names for hardware boxes
  * Update d/copyright dates
  
 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Aug 2021 11:52:04 -0700

raysession (0.11.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.11.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 06 Aug 2021 18:45:08 +0000
