=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
+Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
