## raysession 0.12.2

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	    src/gui/ui/abort_session.py \
 	    src/gui/ui/about_raysession.py \
 	    src/gui/ui/add_application.py \
+	    src/gui/ui/ardour_convert.py \
 	    src/gui/ui/canvas_options.py \
 	    src/gui/ui/canvas_port_info.py \
 	    src/gui/ui/client_properties.py \
@@ -58,6 +59,8 @@
 	    src/gui/ui/donations.py \
 	    src/gui/ui/daemon_url.py \
 	    src/gui/ui/error_dialog.py \
+	    src/gui/ui/filter_frame.py \
+	    src/gui/ui/hydro_rh_nsm.py \
 	    src/gui/ui/jack_config_info.py \
 	    src/gui/ui/list_snapshots.py \
 	    src/gui/ui/new_executable.py \
@@ -67,9 +70,11 @@
 	    src/gui/ui/nsm_open_info.py \
 	    src/gui/ui/open_session.py \
 	    src/gui/ui/patchbay_tools.py \
+	    src/gui/ui/preview_client_slot.py \
 	    src/gui/ui/quit_app.py \
 	    src/gui/ui/ray_hack_properties.py \
 	    src/gui/ui/ray_net_properties.py \
+	    src/gui/ui/ray_to_nsm.py \
 	    src/gui/ui/raysession.py \
 	    src/gui/ui/remove_template.py \
 	    src/gui/ui/save_template_session.py \
@@ -80,6 +85,9 @@
 	    src/gui/ui/snapshot_name.py \
 	    src/gui/ui/snapshots_info.py \
 	    src/gui/ui/snapshot_progress.py \
+	    src/gui/ui/startup_dialog.py \
+	    src/gui/ui/systray_close.py \
+	    src/gui/ui/systray_management.py \
 	    src/gui/ui/stop_client.py \
 	    src/gui/ui/stop_client_no_save.py \
 	    src/gui/ui/template_slot.py \
@@ -189,6 +197,9 @@
 	# install local manual
 	cp -r manual $(DEST_RAY)/
 	
+	# install utility-scripts
+	cp -r utility-scripts $(DEST_RAY)/
+	
 	# install main bash scripts to bin
 	install -m 755 data/raysession  $(DESTDIR)$(PREFIX)/bin/
 	install -m 755 data/ray-daemon  $(DESTDIR)$(PREFIX)/bin/
