=== debian/changelog ===
raysession (0.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release 0.12.2
  * Added python3-xdg as dependency
  * Bumped copyright year
  * Bumped standards-version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 15 Jan 2022 09:38:12 -0800
