=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  pyqt5-dev-tools,
  qttools5-dev,
  qtchooser
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
 Homepage: https://github.com/Houston4444/RaySession
 
 Package: raysession
 Architecture: all
-Depends: python3, python3-liblo, python3-pyqt5, ${misc:Depends}
+Depends: python3, python3-liblo, python3-pyqt5, python3-xdg, ${misc:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,
