=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/RaySession-$1\.tar\.gz/ \
  https://github.com/Houston4444/RaySession/tags .*/v?(\d\S+)\.tar\.gz
