=== debian/changelog ===
raysession (0.13.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 0.13.0
  * Update d/copyright for new files

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 13 Nov 2022 08:44:48 -0800
