## raysession 0.13.1

=== Makefile ===
--- 
+++ 
@@ -165,6 +165,7 @@
 
 	# Copy patchbay themes
 	cp -r HoustonPatchbay/themes $(DEST_RAY)/$(PATCHBAY_DIR)/
+	cp -r HoustonPatchbay/manual $(DEST_RAY)/$(PATCHBAY_DIR)/
 
 	# Copy Desktop Files
 	install -m 644 data/share/applications/*.desktop \
