=== debian/changelog ===
raysession (0.13.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release 0.13.1
  * Bumped copyright year.
  * debian/control: remove qtchooser from build-deps, add explicit dependency
    for python3-pyqt5.qtsvg.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Jan 2023 14:25:05 -0800
