=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends:
- debhelper-compat (= 13),
- pkg-config,
- python3-pyqt5,
- pyqt5-dev-tools,
- qttools5-dev,
- qtchooser
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               pkg-config,
+               pyqt5-dev-tools,
+               python3-pyqt5,
+               qttools5-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
 Vcs-Browser: https://github.com/Houston4444/RaySession
@@ -16,7 +16,13 @@
 
 Package: raysession
 Architecture: all
-Depends: python3, python3-liblo, python3-pyqt5, python3-xdg, ${misc:Depends}
+Depends: python3,
+         python3-liblo,
+         python3-pyqt5,
+         python3-pyqt5.qtsvg,
+         python3-xdg,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,
