## raysession 0.14.2

=== debian/changelog ===
raysession (0.14.2-0.2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 14:57:50 -0700

raysession (0.14.2-0ubuntu2) noble; urgency=medium

  * Fix missing quote in additional templates patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 27 Oct 2023 08:27:03 -0700

raysession (0.14.2-0ubuntu1) noble; urgency=medium

  * New upstream release 0.14.2
  * d/copyright: update dates, update my email address
  * Patch to include templates
    - Mixbus 9
    - Mixbus32C 8 and 9
  * Patch to fix executable bits
  * Patch to not compile python
  * Patch to fix symlinks and use system font
  * Patch to remove client templates with spaces in directory names
  * Link unlinked binaries to corresponding .desktop files

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 25 Oct 2023 12:39:34 -0700
