=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                pyqt5-dev-tools,
                python3-pyqt5,
+               qtchooser,
                qttools5-dev
 Standards-Version: 4.5.1
 Vcs-Git: https://github.com/Houston4444/RaySession
@@ -16,13 +16,12 @@
 
 Package: raysession
 Architecture: all
-Depends: python3,
+Depends: fonts-roboto-hinted,
+         python3,
          python3-liblo,
          python3-pyqt5,
-         python3-pyqt5.qtsvg,
          python3-xdg,
-         ${misc:Depends},
-         ${python3:Depends}
+         ${misc:Depends}
 Recommends: wmctrl
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,
