=== debian/control ===
--- 
+++ 
@@ -1,28 +1,34 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
-               pkg-config,
-               pyqt5-dev-tools,
-               python3-pyqt5,
-               qtchooser,
-               qttools5-dev
-Standards-Version: 4.5.1
-Vcs-Git: https://github.com/Houston4444/RaySession
-Vcs-Browser: https://github.com/Houston4444/RaySession
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <snd@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ pkgconf,
+ pyqt5-dev-tools,
+ python3-pyqt5,
+ qtchooser,
+ qttools5-dev,
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
+Vcs-Git: https://salsa.debian.org/multimedia-team/raysessiom.git
 Homepage: https://github.com/Houston4444/RaySession
+Rules-Requires-Root: no
 
 Package: raysession
 Architecture: all
-Depends: fonts-roboto-hinted,
-         python3,
-         python3-liblo,
-         python3-pyqt5,
-         python3-xdg,
-         ${misc:Depends}
-Recommends: wmctrl
+Depends:
+ fonts-roboto-hinted,
+ python3,
+ python3-liblo,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg,
+ python3-xdg,
+ ${misc:Depends},
+Recommends:
+ wmctrl,
 Description: Session Manager for Audio Software
  Ray Session is a GNU/Linux session manager for audio programs as Ardour,
  Carla, QTractor, Non-Timeline, etc...
